

VM_RESERVED vma's should not be encountered in page reclaim


 mm/rmap.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN mm/rmap.c~VM_RESERVED-check mm/rmap.c
--- 25/mm/rmap.c~VM_RESERVED-check	2003-06-26 17:36:46.000000000 -0700
+++ 25-akpm/mm/rmap.c	2003-06-26 17:36:46.000000000 -0700
@@ -327,6 +327,12 @@ static int try_to_unmap_one(struct page 
 		goto out_unlock;
 	}
 
+	if (vma->vm_flags & VM_RESERVED) {
+		printk("holy cow!\n");
+		ret = SWAP_FAIL;
+		goto out_unlock;
+	}
+
 	/* Nuke the page table entry. */
 	flush_cache_page(vma, address);
 	pte = ptep_get_and_clear(ptep);

_
